curl -X GET "https://api.orwel.io/api/v1/users/cc0e8400-e29b-41d4-a716-446655440007" \
-H "Authorization: Bearer YOUR_API_KEY"
const userId = 'cc0e8400-e29b-41d4-a716-446655440007';
const response = await fetch(
`https://api.orwel.io/api/v1/users/${userId}`,
{
headers: {
'Authorization': 'Bearer YOUR_API_KEY'
}
}
);
const data = await response.json();
console.log(data);
import requests
user_id = 'cc0e8400-e29b-41d4-a716-446655440007'
headers = {
'Authorization': 'Bearer YOUR_API_KEY'
}
response = requests.get(
f'https://api.orwel.io/api/v1/users/{user_id}',
headers=headers
)
data = response.json()
print(data)
{
"data": {
"id": "cc0e8400-e29b-41d4-a716-446655440007",
"email": "john@example.com",
"name": "John Doe",
"avatar": "https://example.com/avatar.jpg",
"username": "johndoe",
"language": "en",
"created_at": "2024-06-15T10:30:00Z",
"workspace_role": "admin",
"joined_at": "2024-06-15T10:30:00Z"
}
}
{
"error": "not_found",
"message": "User not found or not a member of your workspace"
}
Users
Get User
Retrieve a specific workspace member by ID
GET
/
api
/
v1
/
users
/
{id}
curl -X GET "https://api.orwel.io/api/v1/users/cc0e8400-e29b-41d4-a716-446655440007" \
-H "Authorization: Bearer YOUR_API_KEY"
const userId = 'cc0e8400-e29b-41d4-a716-446655440007';
const response = await fetch(
`https://api.orwel.io/api/v1/users/${userId}`,
{
headers: {
'Authorization': 'Bearer YOUR_API_KEY'
}
}
);
const data = await response.json();
console.log(data);
import requests
user_id = 'cc0e8400-e29b-41d4-a716-446655440007'
headers = {
'Authorization': 'Bearer YOUR_API_KEY'
}
response = requests.get(
f'https://api.orwel.io/api/v1/users/{user_id}',
headers=headers
)
data = response.json()
print(data)
{
"data": {
"id": "cc0e8400-e29b-41d4-a716-446655440007",
"email": "john@example.com",
"name": "John Doe",
"avatar": "https://example.com/avatar.jpg",
"username": "johndoe",
"language": "en",
"created_at": "2024-06-15T10:30:00Z",
"workspace_role": "admin",
"joined_at": "2024-06-15T10:30:00Z"
}
}
{
"error": "not_found",
"message": "User not found or not a member of your workspace"
}
Path Parameters
string
required
The unique identifier (UUID) of the user
Response
object
The workspace user object
Show User Object
Show User Object
string
Unique identifier for the user
string
User’s email address
string
User’s full name
string
URL to user’s avatar image
string
User’s username
string
User’s preferred language
string
ISO 8601 timestamp of user account creation
string
User’s role in the workspace
string
ISO 8601 timestamp when user joined the workspace
curl -X GET "https://api.orwel.io/api/v1/users/cc0e8400-e29b-41d4-a716-446655440007" \
-H "Authorization: Bearer YOUR_API_KEY"
const userId = 'cc0e8400-e29b-41d4-a716-446655440007';
const response = await fetch(
`https://api.orwel.io/api/v1/users/${userId}`,
{
headers: {
'Authorization': 'Bearer YOUR_API_KEY'
}
}
);
const data = await response.json();
console.log(data);
import requests
user_id = 'cc0e8400-e29b-41d4-a716-446655440007'
headers = {
'Authorization': 'Bearer YOUR_API_KEY'
}
response = requests.get(
f'https://api.orwel.io/api/v1/users/{user_id}',
headers=headers
)
data = response.json()
print(data)
{
"data": {
"id": "cc0e8400-e29b-41d4-a716-446655440007",
"email": "john@example.com",
"name": "John Doe",
"avatar": "https://example.com/avatar.jpg",
"username": "johndoe",
"language": "en",
"created_at": "2024-06-15T10:30:00Z",
"workspace_role": "admin",
"joined_at": "2024-06-15T10:30:00Z"
}
}
{
"error": "not_found",
"message": "User not found or not a member of your workspace"
}
⌘I